/*  screen.h -- Screen I/O header file

    Written by Lee E. Brotzman, Hughes STX
    Written for Astronomical Data Center, NASA Goddard Space Flight Center

    This code is in the Public Domain, but no warranty, expressed or implied,
    is made by Hughes STX, NASA, or the ADC as to the accuracy and functioning
    of the software.
*/
#ifndef __SCREEN_H
#define __SCREEN_H
#include <stdio.h>

extern int  SCRLINES;
extern int  SCRCOLS;
extern int  OUTLINES;
extern int  row;
extern int  col;
extern int  winrow;
extern int  wincol;

void At(int y, int x);
void Bottom(char *cmdline);
void Clear(void);
void Down(char *cmdline);
void ErrMsg(char *fmt, ...);
void FreeScr(void);
void Get(char *response);
void InitScr(void);
void Left(char *cmdline);
void Prompt(char *message, char *defresp, char *response, int resplen);
void Right(char *cmdline);
void fSay(FILE *out, char *fmt, ...);
void Say(char *fmt, ...);
void Scale(void);
void Status(char *fmt, ...);
void StatusAt(int x, char *fmt, ...);
void System(char *cmdline);
void Top(char *cmdlime);
void Up(char *cmdline);
void Update(void);
void Where(int *y, int *x);

#endif
