/*  utility.h -- Utility functions header file

    Several string manipulation utilities are included.

    Written by Lee E. Brotzman, Hughes STX
    Written for Astronomical Data Center, NASA Goddard Space Flight Center

    This code is in the Public Domain, but no warranty, expressed or implied,
    is made by Hughes STX, NASA, or the ADC as to the accuracy and functioning
    of the software.
*/
#ifndef __UTILITY_H
#define __UTILITY_H

#ifndef MSDOS
char *strupr(char *s);            /* Set string to all upper case */
#endif
#ifdef ultrix
char *strdup(char *s);            /* Return dynamically-allocated duplicate */
#endif
char *skip(char *s, char delim);  /* Skip leading delimiters in s */
char *trim(char *s);              /* Trim leading and trailing blanks from s */
                                  /* Parse next object in s */
char *scan(char *s, char delim, char *object);
                                  /* Compare test to target with wildcards */
int  match(char *target, char *test);

#endif
